## 9 lepton-update ¶

This is a utility for schematics and symbols for updating schematics and symbols in old gEDA/gaf file formats. It updates attribute and pin objects in files of version `20030921` or earlier up to the current version of Lepton.

The usage is as follows:

    lepton-update FILE ...

The program takes a number of schematic or symbol filenames on the command-line, makes a backup for each one, and then updates the files.

For both symbols and schematics, the program fixes obsolete text and pin format lines and sets the current format version.

For schematics, it replaces the label attribute on nets with netname, and uref with refdes.

For symbols, it changes them as follows:

- Converts all pin#=# attributes (e.g. pin1=1, pin2=2, and so on) into pinnumber and pinseq attributes.
- Converts all slot#=# attributes (e.g. slot1=1,2,3) into slotdef attributes.
- Replaces symbol pin attributes type with pintype.
- Replaces symbol pin attributes label with pinlabel.
- Replaces symbol attribute uref with refdes.

### 9.1 lepton-update command-line options ¶

`-h, --help`

  Display help on invoking `lepton-update`, and then exit.

`-V, --version`

  Display the current version of `lepton-update`, and then exit.